FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » Upgrade script, fails attempting V2.7.6 to 2.7.7RC2
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Upgrade script, fails attempting V2.7.6 to 2.7.7RC2 [message #37044] Sun, 29 April 2007 14:40 Go to next message
Astoria is currently offline  Astoria   United States
Messages: 225
Registered: April 2004
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Attempting to upgrade from V2.7.6 to V2.7.7RC2, I get the following MySQL errors:

Quote:


Notice: Undefined variable: MYSQL_TBL_PREFIX in m:\program files\easyphp1-8\www\forum\upgrade.php on line 989

Notice: Undefined variable: MYSQL_SERVER in m:\program files\easyphp1-8\www\forum\upgrade.php on line 990

Notice: Undefined variable: MYSQL_LOGIN in m:\program files\easyphp1-8\www\forum\upgrade.php on line 991

Notice: Undefined variable: MYSQL_PASSWORD in m:\program files\easyphp1-8\www\forum\upgrade.php on line 992

Notice: Undefined variable: MYSQL_DB in m:\program files\easyphp1-8\www\forum\upgrade.php on line 993

Warning: mysql_connect(): Access denied for user 'ODBC'@'localhost' (using password: NO) in m:\program files\easyphp1-8\www\forum\upgrade.php on line 455
MySQL Error: #1045 (Access denied for user 'ODBC'@'localhost' (using password: NO))


This is on my test installation, specs are:
Win XP
EasyPHP (Apache 1.3.33, PHP 4.3.10, MySQL 4.1.9)

MySQL running as root, no password.

The error messages do not appear to have any relation to customizations I have made.

edit - it is 2.7.6, not 2.7.5

[Updated on: Sun, 29 April 2007 14:50]

Report message to a moderator

Re: Upgrade script, fails attempting V2.7.6 to 2.7.7RC2 [message #37051 is a reply to message #37044] Mon, 30 April 2007 19:12 Go to previous messageGo to next message
Ilia is currently offline  Ilia   
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Can you try to copy the GLOBALS.php file into the directory where the install file is located at.

FUDforum Core Developer
Re: Upgrade script, fails attempting V2.7.6 to 2.7.7RC2 [message #37055 is a reply to message #37051] Mon, 30 April 2007 20:10 Go to previous messageGo to next message
Astoria is currently offline  Astoria   United States
Messages: 225
Registered: April 2004
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Too late, but thanks for the suggestion. I've already deleted the installation and then reinstalled using the install script.

I wish that CVS didn't automatically update the versions of unchanged modules when you do a release; it makes it look like everything had changes in my diff program.
Re: Upgrade script, fails attempting V2.7.6 to 2.7.7RC2 [message #37601 is a reply to message #37055] Wed, 06 June 2007 23:28 Go to previous messageGo to next message
Astoria is currently offline  Astoria   United States
Messages: 225
Registered: April 2004
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Quote:

Can you try to copy the GLOBALS.php file into the directory where the install file is located at.

Tried doing this attempting an upgrade on a different installation (2.7.5 --> 2.7.7) when it didn't first work, and got the same error messages.

Will you be incorporating any further bugfixes into the final release of V2.7.7?

addendum: OK, I've found JanRei's thread. I applied the patch, and the original errors are gone.

Now I get the message:

Quote:

Notice: Undefined variable: DBHOST_USER in /home/theboond/public_html/boondocks/forum/upgrade.php on line 455



Then the script tries and fails to connect using my session userid. I've rechecked my forum attributes and there's definitely a database user defined there. Is there another patch somewhere?

[Updated on: Wed, 06 June 2007 23:46]

Report message to a moderator

Re: Upgrade script, fails attempting V2.7.6 to 2.7.7RC2 [message #37608 is a reply to message #37601] Thu, 07 June 2007 20:58 Go to previous messageGo to next message
Ilia is currently offline  Ilia   
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Can you please send me you GLOBALS.php as an attachment.

Thanks.


FUDforum Core Developer
Re: Upgrade script, fails attempting V2.7.6 to 2.7.7RC2 [message #38231 is a reply to message #37044] Fri, 27 July 2007 12:30 Go to previous messageGo to next message
JanRei is currently offline  JanRei   
Messages: 361
Registered: October 2005
Location: Germany
Karma: 0
Senior Member
Contributing Core Developer
Translator
add to buddy list
ignore all messages by this user
I have still the error message Astoria posted (Notice: Undefined variable: DBHOST_USER in /home/theboond/public_html/boondocks/forum/upgrade.php on line 455) in latest CVS.

I sent you my GLOBALS.php in case you need it for reproducing.

Re: Upgrade script, fails attempting V2.7.6 to 2.7.7RC2 [message #38261 is a reply to message #38231] Sun, 29 July 2007 11:23 Go to previous messageGo to next message
Ilia is currently offline  Ilia   
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Can you please try applying the following patch:

http://cvs.prohost.org/c/index.cgi/FUDforum/chngview?cn=11774


FUDforum Core Developer
Re: Upgrade script, fails attempting V2.7.6 to 2.7.7RC2 [message #38263 is a reply to message #38261] Sun, 29 July 2007 11:30 Go to previous messageGo to next message
JanRei is currently offline  JanRei   
Messages: 361
Registered: October 2005
Location: Germany
Karma: 0
Senior Member
Contributing Core Developer
Translator
add to buddy list
ignore all messages by this user
The patch is already applied, without the patch I get the error messages Astoria posted in the first message of this topic.
Re: Upgrade script, fails attempting V2.7.6 to 2.7.7RC2 [message #38449 is a reply to message #37044] Tue, 07 August 2007 09:11 Go to previous message
JanRei is currently offline  JanRei   
Messages: 361
Registered: October 2005
Location: Germany
Karma: 0
Senior Member
Contributing Core Developer
Translator
add to buddy list
ignore all messages by this user
Did you already have a look at the issue? (Undefined variable: DBHOST_USER in upgrade.php on line 455)
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: Installation problem - Step 2 hangs
Next Topic: FudForum Allocation
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Sat Jul 21 15:39:14 EDT 2018

Total time taken to generate the page: 0.00651 seconds